Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Delete Object

DELETE
/storage/v1/workspaces/{workspace}/engines/{engine}/buckets/{bucket}/objects/{object_key}
curl --request DELETE \
--url https://example.com/storage/v1/workspaces/example/engines/example/buckets/example/objects/example

Deletes an object from a bucket.

workspace
required
string

The workspace the bucket belongs to

engine
required
string

The cloud provider: qibdo, aws, gcp, or azure

bucket
required
string

The bucket containing the object

object_key
required
string

The object key to delete

OK

Media type application/json

StorageOperation tracks the result of a storage command (bucket or object operation).

object
id

Unique operation identifier

stringOutput only
resource_id

The ID of the affected resource (bucket ID; null for object-only ops)

stringOutput only
resource_type

The type of resource (“Bucket” or “Object”)

stringOutput only
operation_type

The operation type (CREATE, UPDATE, DELETE, COPY)

stringOutput only
status

The operation status (PENDING, RUNNING, DONE, ERROR)

stringOutput only
insert_time

When the operation was created

string format: date-time Output only
start_time

When execution started

string format: date-time Output only
end_time

When execution completed

string format: date-time Output only
progress

Progress percentage (0–100)

integer format: int32 Output only
Example generated
{}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}